Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
symbols Struct Reference

## Data Fields
ID | last_id
st_table * | sym_id
st_table * | id_str
VALUE | op_sym [tLAST_OP_ID]

## Detailed Description

Definition at line 15590 of file ripper.c.

## Field Documentation

st_table * symbols::id_str

Definition at line 15593 of file ripper.c.

Referenced by Init_sym(), rb_gc_mark_symbols(), rb_id2str(), and register_symid_str().

ID symbols::last_id

Definition at line 15591 of file ripper.c.

Referenced by intern_str().

VALUE symbols::op_sym

Definition at line 15598 of file ripper.c.

Referenced by rb_gc_mark_symbols(), and rb_id2str().

st_table * symbols::sym_id

Definition at line 15592 of file ripper.c.

Referenced by Init_sym(), rb_check_id(), rb_check_id_cstr(), rb_intern3(), rb_intern_str(), rb_sym_all_symbols(), and register_symid_str().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c